package rtcservicelogic

import (
	"context"

	"im-rtc/internal/svc"
	"im-rtc/pb/rtc"

	"github.com/zeromicro/go-zero/core/logx"
)

type SignalMessageAssembleLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewSignalMessageAssembleLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SignalMessageAssembleLogic {
	return &SignalMessageAssembleLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *SignalMessageAssembleLogic) SignalMessageAssemble(in *rtc.SignalMessageAssembleReq) (*rtc.SignalMessageAssembleResp, error) {
	// todo: add your logic here and delete this line

	return &rtc.SignalMessageAssembleResp{}, nil
}
